"use strict";
window.selectServerView = {
    versions: {
        "loading.js": Date.now(),
        "login/btn_xfy_qf_0.png": 2,
        "login/btn_xfy_fwq.png": 2,
        "login/image_xfy_ct.png": 2,
        "login/image_xfy_fm.png": 2,
        "login/image_xfy_wh.png": 2,
        "login/image_xfy_bg2.jpg": 3,
        "login/image_qqdtlz_bg06.jpg": 2,
        "login/btn_xfy_xq.png": 2,
        "login/image_xfy_xfbg.png": 2,
        "login/btn_xfy_dlyx.png": 3,
        "login/btn_tongyong_13.png": 2,
        "login/image_common_zz.png": 2,
        "login/panel_xfy_gxbg.png": 2,
        "login/btn_xfy_gg.png": 2,
        "login/btn_xfy_qhc.png": 2,
        "login/image_xfy_bg1.jpg": 2,
        "login/image_xfy_bg0.jpg": 2,
        "login/image_xfy_bg.png": 2,
        "login/image_xfy_bg12.jpg": 2,
        "login/image_loading_bg0.jpg": 1,
        "login/image_xfy_fcm.png": 2
    },
    bg: null,
    stateImg: null,
    serverName: null,
    changeServerImg: null,
    changeServerName: null,
    leftItems: null,
    rightItems: null,
    leftDiv: null,
    rightDiv: null,
    serverListDiv: null,
    selectedLeftItem: null,
    cdn: "",
    tipsLabel: null,
    tipsTop: 600,
    frameId: 0,
    ggBtn: null,
    switchGroupCon: null,
    switchGroupDiv: null,
    alertCon: null,
    alertTitle: null,
    alertContent: null,
    repairBtn: null,
    serverCon: null,
    background: null,
    bg1Con: null,
    agePanel: null,
    ageBtn: null,
    alertContentDiv: null,
    alertYesBtn: null,
    alertNoBtn: null,
    userAgreement: "",
    privacyPolicy: "",
    antiAddictionTxt: "",
    updateNoticeVer: "",
    updateNotice: "",
    opened: !1,
    privacySelected: !1,
    isGray: !1,
    isInitGray: !1,
    createElement: function (tagName, style, id) {
        var e = document.createElement(tagName);
        return id && (e.id = id), e.style.cssText = style, e
    },
    loadScriptFromUrl: function (url, onComplete) {
        var script = window.document.createElement("script");
        script.type = "text/javascript", script.src = this.formatUrl(url), script.onload = onComplete.bind(this), document.body.appendChild(script)
    },
    createImageElement: function (src, style, id) {
        var e = this.createElement("img", style, id), v = this.versions[src];
        return src && (e.src = v ? "" + this.cdn + src + "?v=" + v : "" + this.cdn + src), e
    },
    formatUrl: function (url) {
        var v = this.versions[url];
        return v ? "" + this.cdn + url + "?v=" + v : "" + this.cdn + url
    },
    appendCopyright: function (div) {
        var texts = ["抵制不良游戏,拒绝盗版游戏。注意自我保护,谨防受骗上当。", "适度游戏益脑,沉迷游戏伤身。合理安排时间,享受健康生活。", "审批文号：国新出审[2019]3602号,著作权人：成都玖壹叁零网络科技有限公司,", "出版单位：上海同济大学电子音像出版社有限公司,出版物号：ISBN 978-7-498-07182-8"];
        511045 === tparams.package && (texts[2] = "审批文号：新广出审[23]1245号,著作权人：上海甲游网络科技有限公司", texts[3] = "出版单位：杭州群游科技有限公司,出版物号：ISBN 978-7-89988-123-1"), tparams.control && tparams.control.miniGameCopyright1 && "" != tparams.control.miniGameCopyright1 && (texts[2] = tparams.control.miniGameCopyright1), tparams.control && tparams.control.miniGameCopyright2 && "" != tparams.control.miniGameCopyright2 && (texts[3] = tparams.control.miniGameCopyright2);
        var styles = ["position:absolute;left:0px;top:1180px;width:720px;text-align:center;color:#000000;font-size:18px;font-family:'SimHei';", "position:absolute;left:0px;top:1204px;width:720px;text-align:center;color:#000000;font-size:18px;font-family:'SimHei';", "position:absolute;left:0px;top:1232px;width:720px;text-align:center;color:#000000;font-size:12px;font-family:'SimHei';", "position:absolute;left:0px;top:1256px;width:720px;text-align:center;color:#000000;font-size:12px;font-family:'SimHei';"];
        1 === tparams.control.ageTip && (texts.push("适龄提示：本游戏适合18周岁以上者参与"), styles.push("position:absolute;left:0px;top:960px;width:720px;text-align:center;color:#000000;font-size:20px;font-family:'SimHei';"));
        for (var i = 0, length_1 = texts.length; i < length_1; ++i) {
            var label = this.createElement("label", styles[i]);
            label.innerText = texts[i], div.appendChild(label)
        }
    },
    getStateUrl: function (status) {
        var str = "";
        return 2 === status ? str = "login/image_xfy_ct.png" : 1 === status ? str = "login/image_xfy_fm.png" : -1 === status && (str = "login/image_xfy_wh.png"), str
    },
    selectServer: function (server) {
        this.serverName.innerText = server.name, this.stateImg.src = this.formatUrl(this.getStateUrl(server.status)), tparams.cdn = server.cdn || "", tparams.selectedServer = server
    },
    createLeftItem: function (serverInfo) {
        var div = this.createElement("div", "position:absolute;width:192px;height:76px;"),
            stateImg = this.createImageElement("login/btn_xfy_qf_0.png", "position:absolute;");
        div.appendChild(stateImg);
        var label = this.createElement("label", "position:absolute;top:22px;width:192px;height:32px;line-height:32px;text-align:center;color:#010101;font-size:28px;font-family:'SimHei';pointer-events:none;");
        return div.appendChild(label), label.innerText = serverInfo[1], div
    },
    createRightItem: function (server) {
        var div = this.createElement("div", "position:absolute;width:381px;height:66px;");
        div.appendChild(this.createImageElement("login/btn_xfy_fwq.png", "position:absolute;"));
        var stateImg = this.createImageElement(this.getStateUrl(server.status), "position:absolute;left:18px;top:16px;pointer-events:none;");
        div.appendChild(stateImg);
        var serverName = this.createElement("label", "position:absolute;left:80px;top:18px;color:#000000;line-height:30px;font-size:30px;font-family:'SimHei';pointer-events:none;");
        return div.appendChild(serverName), serverName.innerText = server.name, div
    },
    clearItems: function (items) {
        if (items && 0 < items.length) {
            for (var i = 0, len = items.length; i < len; i++) items[i].remove();
            items.length = 0
        }
    },
    refreshServerList: function () {
        var _this = this;
        this.clearItems(this.leftItems);
        var infos = tparams.serverZoneNames;
        if (infos && 0 !== infos.length) {
            this.leftItems = this.leftItems || [];
            for (var this_1 = this, i = 0, len = infos.length; i < len; i++) !function (i) {
                var div = this_1.createLeftItem(infos[i]);
                this_1.leftDiv.appendChild(div), div.style.top = 76 * i + "px", div.onclick = function () {
                    _this.selectServerList(infos[i][0], div)
                }, this_1.leftItems[i] = div
            }(i);
            this.selectServerList(-1, this.leftItems[0])
        }
    },
    selectServerList: function (zone, leftItem) {
        this.selectedLeftItem && (this.selectedLeftItem.getElementsByTagName("img")[0].src = this.formatUrl("login/btn_xfy_qf_0.png")), this.selectedLeftItem = leftItem, this.selectedLeftItem.getElementsByTagName("img")[0].src = this.formatUrl("login/btn_xfy_qf_1.png"), this.clearItems(this.rightItems), tparams.serverZones && this.refreshRightItems(zone)
    },
    refreshRightItems: function (zone) {
        var _this = this, arr = tparams.serverZones[zone];
        if (arr) {
            this.rightItems = this.rightItems || [];
            for (var this_2 = this, i = 0, len = arr.length; i < len; i++) !function (i) {
                var div = this_2.createRightItem(arr[i]);
                this_2.rightDiv.appendChild(div), div.style.top = 66 * i + "px", (this_2.rightItems[i] = div).onclick = function () {
                    -1 !== arr[i].status ? (_this.selectServer(arr[i]), _this.serverListDiv.style.visibility = "hidden") : _this.noticeTip("当前服务器正在维护中", "#ff3e3e")
                }
            }(i)
        } else getZoneServer(zone)
    },
    noticeTip: function (str, color) {
        this.frameId && (window.cancelAnimationFrame(this.frameId), this.tipsTop = 600), this.frameId = window.requestAnimationFrame(this.tweenTips.bind(this)), this.tipsLabel.innerText = str, this.tipsLabel.style.color = color
    },
    tweenTips: function () {
        if (this.tipsTop < 100) return this.tipsTop = 600, void (this.tipsLabel.style.visibility = "hidden");
        this.tipsLabel.style.visibility = "visible", this.tipsLabel.style.top = (this.tipsTop < 500 ? 500 : this.tipsTop) + "px", this.frameId = window.requestAnimationFrame(this.tweenTips.bind(this)), this.tipsTop = this.tipsTop - 10
    },
    gotoLoadingJs: function (isNew) {
        void 0 === isNew && (isNew = !1), -1 !== tparams.selectedServer.status ? (this.close(), window.onMiniGame ? window.enterGame() : this.loadScriptFromUrl("loading.js", function (e) {
            enterGame()
        })) : isNew ? alert("当前服务器正在维护中") : this.noticeTip("当前服务器正在维护中", "#ff3e3e")
    },
    openAlert: function (title, content, showBtn) {
        void 0 === showBtn && (showBtn = !1), this.alertCon.style.visibility = "visible", this.alertTitle.innerText = title, this.alertContent.innerHTML = content, document.getElementById("alertContentDiv").scrollTop = 0, this.alertContentDiv.style.height = showBtn ? "830px" : "910px", this.alertYesBtn && (this.alertYesBtn.style.visibility = showBtn ? "visible" : "hidden"), this.alertNoBtn && (this.alertNoBtn.style.visibility = showBtn ? "visible" : "hidden")
    },
    closeAlert: function () {
        this.alertCon.style.visibility = "hidden", this.alertYesBtn && (this.alertYesBtn.style.visibility = "hidden"), this.alertNoBtn && (this.alertNoBtn.style.visibility = "hidden")
    },
    openUpdateNotice: function () {
        var _this = this;
        this.updateNotice ? this.openAlert("更新公告", this.updateNotice) : getNotice(function (data) {
            _this.updateNotice = tparams.notice.contents = data.contents, _this.updateNotice && _this.openAlert("更新公告", _this.updateNotice)
        })
    },
    openPrivacyPolicy: function () {
        var _this = this, xyTitle = "changxiang" == tparams.channel ? "用户协议与隐私政策" : "隐私政策",
            privacyNum = tparams.control.privacyNum;
        this.privacyPolicy ? this.openAlert(xyTitle, this.privacyPolicy, tparams.control.privacyAlertButton) : sendXHR(this.cdn + "login/privacy_policy_" + privacyNum, null, function (data) {
            _this.privacyPolicy = data, _this.openAlert(xyTitle, _this.privacyPolicy, tparams.control.privacyAlertButton)
        }, "text")
    },
    openUserAgreement: function () {
        var _this = this, agreementNum = tparams.control.agreementNum || 0;
        this.userAgreement ? this.openAlert("用户注册服务协议", this.userAgreement) : sendXHR(this.cdn + "login/user_agreement_" + agreementNum, null, function (data) {
            _this.userAgreement = data, _this.openAlert("用户注册服务协议", _this.userAgreement)
        }, "text")
    },
    openAntiAddition: function () {
        var _this = this, antiAddictionNum = tparams.control.AntiAddictionNum || 0;
        this.antiAddictionTxt ? this.openAlert("防沉迷", this.antiAddictionTxt) : sendXHR(this.cdn + "login/anti_addiction_" + antiAddictionNum, null, function (data) {
            _this.antiAddictionTxt = data, _this.openAlert("防沉迷", _this.antiAddictionTxt)
        }, "text")
    },
    getFullScreenBg: function () {
        var t = null;
        return tparams.control && 1 === tparams.control.fullScreenBg && (t = this.createImageElement("login/full_screen_bg.jpg", "position: absolute;", "background")), t
    },
    initGray: function () {
        new Date;
        this.isGray = !1, this.isInitGray = !0
    },
    showBg: function () {
        this.cdn = tparams.cdn, this.background = this.getFullScreenBg(), this.background && document.body.appendChild(this.background), this.isInitGray || this.initGray(), this.isGray ? document.body.style.cssText = "position:fixed;margin:0;overflow:hidden;overflow-x:hidden;overflow-y:hidden;background-color:#000000;filter:grayscale(1);" : document.body.style.cssText = "position:fixed;margin:0;overflow:hidden;overflow-x:hidden;overflow-y:hidden;background-color:#000000;", console.warn("show-isGray", this.isGray, document.body.style.cssText), this.serverCon = this.createElement("div", "position:absolute;height:1280px;width:720px;visibility:visible", "serverCon"), this.background ? (this.bg1Con = this.createElement("div", "position:absolute;height:1280px;width:720px;visibility:visible", "bg1Con"), this.bg1Con.appendChild(this.createImageElement("login/image_xfy_bg.png", "position: absolute;left:0px;top:26px;", "bg1")), document.body.appendChild(this.bg1Con)) : this.serverCon.appendChild(this.createImageElement("login/image_xfy_bg" + (tparams.control && tparams.control.bg || "0") + ".jpg", "position: absolute;left:-120px;top:50%;transform:translateY(-50%);")), document.body.appendChild(this.serverCon), this.zoom(), window.addEventListener("resize", this.zoom)
    },
    initChangeServer: function () {
        var _this = this;
        if (1 == tparams.control.packageSwitchGroup && tparams.otherGroup && tparams.otherGroup.length) {
            if (!this.changeServerImg) {
                this.changeServerImg = this.createImageElement("login/btn_xfy_02.png", "position: absolute;left:140px;top:910px;"), this.switchGroupCon = this.createElement("div", "position:absolute;height:1280px;width:720px;visibility:hidden", "switchGroupCon"), this.switchGroupDiv = this.createElement("div", "left:110px;top:400px;position:absolute;height:500px;width:500px;", "switchGroupDiv");
                var len = tparams.otherGroup.length,
                    img = this.createImageElement("login/btn_xfy_zsxq_dk.png", "position: absolute;left:124px;top:" + (502 - 42 * len) + "px;height:" + (42 * len + 12) + "px;width:256px");
                this.switchGroupDiv.appendChild(img), this.serverCon.appendChild(this.switchGroupCon), this.switchGroupCon.appendChild(this.switchGroupDiv), this.serverCon.appendChild(this.changeServerImg);
                for (var i = 0; i < tparams.otherGroup.length; i++) this.createServerItem(i, tparams.otherGroup[i]);
                this.changeServerImg.onclick = function (event) {
                    event.stopPropagation(), 1 == tparams.control.packageSwitchGroup && tparams.otherGroup && tparams.otherGroup.length && (_this.switchGroupCon.style.visibility = "visible" == _this.switchGroupCon.style.visibility ? "hidden" : "visible")
                }, this.switchGroupCon.onclick = function () {
                    _this.switchGroupCon.style.visibility = "hidden"
                }
            }
            this.changeServerName || (this.changeServerName = this.createElement("label", "position:absolute;left:203px;top:918px;width:300px;height:35px;line-height:34px;text-align:center;color:#000000;font-size:30px;font-family:'SimHei';pointer-events:none;"), this.serverCon.appendChild(this.changeServerName)), this.changeServerName.innerText = "切换专区"
        } else this.changeServerImg && this.changeServerImg.remove(), this.changeServerName && this.changeServerName.remove()
    },
    createServerItem: function (index, group) {
        var _this = this,
            img = this.createImageElement("login/btn_xfy_zsxq_zsq.png", "position: absolute;left:128px;top:" + (468 - 40 * index) + "px;");
        img.onclick = function (event) {
            event.stopPropagation();
            var self = _this;
            packageGroupSwitch(group.other_group_id, function () {
                self.switchGroupCon.style.visibility = "hidden"
            })
        };
        var lable = this.createElement("label", "position:absolute;left:100px;top:" + (468 - 40 * index) + "px;width:300px;height:38px;line-height:38px;text-align:center;color:#000000;font-size:26px;font-family:'SimHei';pointer-events:none;");
        lable.innerText = group.other_group_name, this.switchGroupDiv.appendChild(img), this.switchGroupDiv.appendChild(lable)
    },
    updatePrivacySelectImg: function (img, selected) {
        img.src = this.formatUrl(selected ? "login/checkbox_common_gxk1.png" : "login/checkbox_common_gxk0.png")
    },
    changePrivacySelected: function (img, selected) {
        this.privacySelected = selected, window.localStorage && window.localStorage.setItem("privacy_selected", selected ? "1" : "0"), 1 == tparams.control.privacyButton && this.updatePrivacySelectImg(img, selected)
    },
    loginHandler: function () {
        tparams.banStatus ? alert("您的账号已被封禁！") : !tparams.control.privacyAlertButton || this.privacySelected ? 1 != tparams.control.privacyButton || this.privacySelected ? (this.cdn = tparams.cdn, this.gotoLoadingJs(!1)) : this.noticeTip("请阅读并同意隐私政策", "#ff3e3e") : this.openPrivacyPolicy()
    },
    open: function () {
        var style, serverCon, selectImg, off, loginBtn, label, privacySelectImg_1, privacySelectTxt, privacyTips,
            closeBtn, leftCon, rightCon, alertCloseBtn, clickEmpty, btnY, privacyNum, xyUrl, _this = this;
        if (!this.opened) {
            if (window.onMiniGame = -1 < window.navigator.userAgent.indexOf("MiniGame") || -1 < window.navigator.userAgent.indexOf("MiniGame") && -1 < window.navigator.userAgent.indexOf("OPPO") || -1 < window.navigator.userAgent.indexOf("VVGame"), this.opened = !0, tparams.preCdn = tparams.cdn, tparams.notice && (this.updateNoticeVer = tparams.notice.version), 1 === tparams.newregister || tparams.autoLogin) return window.localStorage && window.localStorage.setItem("update_notice_ver", this.updateNoticeVer), tparams.cdn = this.cdn = tparams.selectedServer.cdn, void this.gotoLoadingJs(!0);
            window.onMiniGame ? (window.modules.login.LoginModel.instance.selectedServer = tparams.selectedServer, window.enterGame()) : (this.cdn = tparams.cdn, (style = document.createElement("style")).innerText = "p{text-indent:2em}", document.body.appendChild(style), this.serverCon || this.showBg(), serverCon = this.serverCon, selectImg = this.createImageElement("login/btn_xfy_xq.png", "position: absolute;left:103px;top:986px;"), serverCon.appendChild(selectImg), selectImg.onclick = function () {
                tparams.hasReq || (tparams.hasReq = !0, req_server_list()), _this.serverListDiv.style.visibility = "visible"
            }, this.initChangeServer(), off = 1 == tparams.control.privacyButton ? 1060 : 1083, loginBtn = this.createImageElement("login/btn_xfy_dlyx.png", "position: absolute;left:220px;top:" + off + "px;"), serverCon.appendChild(loginBtn), loginBtn.onclick = this.loginHandler.bind(this), this.stateImg = this.createImageElement("", "position: absolute;left:123px;top:1004px;pointer-events:none;"), serverCon.appendChild(this.stateImg), this.serverName = this.createElement("label", "position:absolute;left:203px;top:1005px;width:300px;height:35px;line-height:34px;text-align:center;color:#000000;font-size:32px;font-family:'SimHei';pointer-events:none;"), serverCon.appendChild(this.serverName), (label = this.createElement("label", "position:absolute;left:517px;top:1005px;height:35px;line-height:34px;text-align:left;color:#000000;font-size:32px;font-family:'SimHei';pointer-events:none;")).innerText = "换区>", serverCon.appendChild(label), this.selectServer(tparams.selectedServer), this.privacySelected = !!window.localStorage && "1" == window.localStorage.getItem("privacy_selected"), 1 == tparams.control.privacyButton && (privacySelectImg_1 = this.createImageElement("", "position: absolute;left:123px;top:1142px;"), serverCon.appendChild(privacySelectImg_1), privacySelectTxt = this.createElement("span", "position: absolute;left:160px;top:1150px;"), serverCon.appendChild(privacySelectTxt), privacySelectTxt.innerHTML = '<label style="text-align:center;color:#000000;font-size:20px;font-family:\'SimHei\';">我已经详细阅读并同意<label id="agreementLabel" style="text-align:center;color:#0ECF09;font-size:20px;font-family:\'SimHei\';text-decoration:underline;">游戏用户手册</label>和<label id="privacyLabel" style="text-align:center;color:#0ECF09;font-size:20px;font-family:\'SimHei\';text-decoration:underline;">隐私协议</label></label></label>', document.getElementById("agreementLabel").onclick = this.openUserAgreement.bind(this), document.getElementById("privacyLabel").onclick = this.openPrivacyPolicy.bind(this), this.updatePrivacySelectImg(privacySelectImg_1, this.privacySelected), privacySelectImg_1.onclick = function () {
                _this.changePrivacySelected(privacySelectImg_1, !_this.privacySelected)
            }), (tparams.package && -1 < [510714, 510491, 511634, 511635, 511631].indexOf(tparams.package) || tparams.control && tparams.control.privacyAgreesTips && 1 === tparams.control.privacyAgreesTips) && (privacyTips = this.createElement("label", "position:absolute;left:118px;top:945px;width:500px;height:35px;line-height:34px;text-align:center;color:#000000;font-size:24px;font-family:'SimHei';pointer-events:none;"), serverCon.appendChild(privacyTips), privacyTips.innerText = "登录即同意隐私政策"), this.serverListDiv = this.createElement("div", "position:absolute;left:-120px;top:-140px;width:960px;height:1560px;visibility:hidden", "serverList"), this.serverListDiv.appendChild(this.createImageElement("login/image_xfy_xfbg.png", "position: absolute;left:128px;top:227px;")), closeBtn = this.createImageElement("login/btn_tongyong_13.png", "position: absolute;left:763px;top:254px;"), this.serverListDiv.appendChild(closeBtn), closeBtn.onclick = function () {
                _this.serverListDiv.style.visibility = "hidden"
            }, leftCon = this.createElement("div", "position:absolute;left:174px;top:340px;width:192px;height:932px;overflow:hidden;", "leftCon"), this.serverListDiv.appendChild(leftCon), this.leftDiv = this.createElement("div", "position:absolute;left:0px;top:0px;width:210px;height:932px;overflow-y:auto;", "leftDiv"), leftCon.appendChild(this.leftDiv), rightCon = this.createElement("div", "position:absolute;left:400px;top:340px;width:381px;height:932px;overflow:hidden;", "rightCon"), this.serverListDiv.appendChild(rightCon), this.rightDiv = this.createElement("div", "position:absolute;left:0px;top:0px;width:400px;height:932px;overflow-y:auto;", "rightDiv"), rightCon.appendChild(this.rightDiv), this.tipsLabel = this.createElement("label", "position:absolute;left:0px;top:680px;width:720px;height:35px;line-height:34px;text-align:center;color:#ff3e3e;font-size:32px;font-family:'SimHei';pointer-events:none;visibility:hidden;"), this.appendCopyright(serverCon), this.alertCon = this.createElement("div", "position:absolute;left:0px;top:0px;width:720px;height:1280px;visibility:hidden;", "alertCon"), this.alertCon.appendChild(this.createImageElement("login/image_common_zz.png", "position: absolute;left:-120px;top:-140px;width:960px;height:1560px;opacity:0.7;", "bg")), this.alertCon.appendChild(this.createImageElement("login/panel_xfy_gxbg.png", "position: absolute;left:29px;top:95px;width:662px;height:1090px;")), this.alertTitle = this.createElement("label", "position:absolute;left:210px;top:146px;width:300px;height:35px;line-height:34px;text-align:center;color:#344a6f;font-size:32px;font-family:'SimHei';pointer-events:none;"), this.alertCon.appendChild(this.alertTitle), this.alertContentDiv = this.createElement("div", "position:absolute;left:84px;top:210px;width:560px;height:910px;overflow-y:auto;overflow-x:hidden;", "alertContentDiv"), this.alertCon.appendChild(this.alertContentDiv), this.alertContent = this.createElement("div", "position:absolute;left:2px;top:0px;width:544px;line-height:28px;color:#3a5385;font-size:26px;font-family:'SimHei';pointer-events:none;", "alertContent"), this.alertContentDiv.appendChild(this.alertContent), alertCloseBtn = this.createImageElement("login/btn_tongyong_13.png", "position: absolute;left:638px;top:110px;"), this.alertCon.appendChild(alertCloseBtn), alertCloseBtn.onclick = this.closeAlert.bind(this), tparams.control.privacyAlertButton && (this.alertYesBtn = this.createImageElement("login/btn_common_ty.png", "position: absolute;left:410px;top:1060px;visibility:hidden;"), this.alertCon.appendChild(this.alertYesBtn), this.alertYesBtn.onclick = function () {
                _this.changePrivacySelected(privacySelectImg_1, !0), _this.loginHandler()
            }, this.alertNoBtn = this.createImageElement("login/btn_common_nty.png", "position: absolute;left:150px;top:1060px;visibility:hidden;"), this.alertCon.appendChild(this.alertNoBtn), this.alertNoBtn.onclick = function () {
                _this.changePrivacySelected(privacySelectImg_1, !1), _this.closeAlert()
            }), (clickEmpty = this.createElement("label", "position:absolute;left:180px;top:1180px;width:360px;height:35px;line-height:34px;text-align:center;color:#ffffff;font-size:28px;font-family:'SimHei';pointer-events:none;text-shadow: 0 1px 3px #797daf, 1px 0 3px #797daf, -1px 0 3px #797daf, 0 -1px 3px #797daf;")).innerText = "点击空白处退出", this.alertCon.appendChild(clickEmpty), this.alertCon.onclick = function (event) {
                "bg" === event.target.id && _this.closeAlert()
            }, btnY = 60, this.repairBtn = this.createImageElement("login/btn_xfy_qhc.png", "position: absolute;left:620px;top:" + btnY + "px;"), serverCon.appendChild(this.repairBtn), btnY += 110, this.repairBtn.onclick = function () {
                if (window.indexedDB) try {
                    var delReq = window.indexedDB.deleteDatabase("routine");
                    delReq.onsuccess = function () {
                        _this.noticeTip("修复成功", "#50ff28")
                    }, delReq.onerror = function () {
                        _this.noticeTip("修复失败", "#ff3e3e")
                    }
                } catch (e) {
                    _this.noticeTip("修复失败!", "#ff3e3e")
                } else _this.noticeTip("清理成功", "#50ff28")
            }, this.ggBtn = this.createImageElement("login/btn_xfy_gg.png", "position: absolute;left:620px;top:" + btnY + "px;"), serverCon.appendChild(this.ggBtn), btnY += 110, this.ggBtn.onclick = this.openUpdateNotice.bind(this), 0 < (privacyNum = tparams.control.privacyNum) && (xyUrl = "changxiang" == tparams.channel ? "login/btn_xfy_yhxyyyszc.png" : "login/btn_xfy_ys.png", this.xyBtn = this.createImageElement(xyUrl, "position: absolute;left:620px;top:" + btnY + "px;"), serverCon.appendChild(this.xyBtn), btnY += 110, this.xyBtn.onclick = this.openPrivacyPolicy.bind(this), ("changxiang" == tparams.channel || tparams.control.privacyAlert && tparams.isNewregister) && this.openPrivacyPolicy()), 0 < (tparams.control.agreementNum || 0) && (this.yhBtn = this.createImageElement("login/btn_xfy_xy.png", "position: absolute;left:620px;top:" + btnY + "px;"), serverCon.appendChild(this.yhBtn), btnY += 110, this.yhBtn.onclick = this.openUserAgreement.bind(this)), 0 < (tparams.control.AntiAddictionNum || 0) && (this.antiAddictionBtn = this.createImageElement("login/btn_xfy_fcm.png", "position: absolute;left:620px;top:" + btnY + "px;"), serverCon.appendChild(this.antiAddictionBtn), btnY += 110, this.antiAddictionBtn.onclick = this.openAntiAddition.bind(this)), tparams.control.ageTipsIcon && (this.ageBtn = this.createImageElement("./login/image_age.png", "position: absolute;left:10px;top:133px;"), this.ageBtn.onclick = function () {
                _this.openAlert("适龄提示", "1)本游戏是一款玩法简单的仙侠类型的游戏,适用于年满16周岁及以上的用户,建议未成年人在家长监护下使用游戏产品。<br><br>\n                2)本游戏基于架空的故事背景和仙侠世界观,剧情简单且积极向上,没有基于真实历史和现实事件的改编内容,游戏中有基于文字的陌生人社交系统。<br><br>\n                3)本游戏中有用户实名认证系统,认证为未成年人的用户将接受以下管理:<br><br>\n                4）本游戏将大好山河景色融入游戏场景,让大家增强对祖国山河的热爱。人物设计、背景音乐等创作融入了中国神话故事元素,有助于传播中华传统文化。游戏设有组队模式,并设有大型团队任务和比赛,需要玩家互相配合完成比赛,有助于培养玩家的团队协作能力。<br><br>\n                游戏中部分玩法和道具需要付费。未满8周岁的用户不能付费；8周岁以上未满16周岁的未成年人用户,单次充值金额不得超过50元人民币,每月充值金额累计不得超过200元人民币；16周岁以上的未成年人用户,单次充值金额不得超过100元人民币,每月充值金额累计不得超过400元人民币。<br><br>\n                未成年人用户每日22点到次日8点不得使用,法定节假日每天不得使用超过3小时,其他时间每天不得使用超过1.5小时。<br>")
            }, serverCon.appendChild(this.ageBtn)), 0 < privacyNum && "changxiang" == tparams.channel || window.localStorage && window.localStorage.getItem("update_notice_ver") === this.updateNoticeVer || (window.localStorage && window.localStorage.setItem("update_notice_ver", this.updateNoticeVer), this.openUpdateNotice()), serverCon.appendChild(this.serverListDiv), serverCon.appendChild(this.alertCon), serverCon.appendChild(this.tipsLabel))
        }
    },
    zoom: function () {
        var initW = window.innerWidth || document.body.clientWidth,
            initH = window.innerHeight || document.body.clientHeight;
        initW > screen.availWidth && (initW = screen.availWidth);
        var zoomW = initW / 720, zoomH = initH / 1280, zoom = zoomW < zoomH ? zoomW : zoomH;
        this.serverCon.style.webkitTransform = "scale(" + zoom + ")", this.serverCon.style.left = .5 * (initW - 720) + "px", this.serverCon.style.top = .5 * (initH - 1280) + "px", this.bg1Con && (this.bg1Con.style.webkitTransform = "scale(" + zoom + ")", this.bg1Con.style.left = .5 * (initW - 720) + "px", this.bg1Con.style.top = .5 * (initH - 1280) + "px"), zoom = (zoomH = initH / 1280) < (zoomW = initW / 1920) ? zoomW : zoomH, this.background && (this.background.style.webkitTransform = "scale(" + zoom + ")", this.background.style.left = .5 * (initW - 1920) + "px", this.background.style.top = .5 * (initH - 1280) + "px")
    },
    close: function () {
        window.onMiniGame || (window.removeEventListener("resize", this.zoom), this.serverCon && this.serverCon.remove()), window.selectServerView = null
    }
};